#include <iostream>
#include <string>

using namespace std;

int main()
{
    long long br1, br2;
    int n=0, m=0, cif1, cif2;
    int prvi[10], drugi[10];
    for(int i=0; i<10; i++)
    {
         prvi[i] = -1;
         drugi[i] = -1;
    }
    cin>>br1;
    cin>>br2;
    
    string duz;
    if(br1>br2){duz = to_string(br1);}
    if(br1<br2){duz = to_string(br2);}
    
    int duzina = duz.length();
    int duz1 = (to_string(br1)).length();
    int duz2 = (to_string(br2)).length();
    
    for(int i=0; i<duzina; i++)
    {
         if(n<duz1){cif1 = br1 % 10; prvi[n] = cif1; n++; br1 = br1 / 10;}
         if(m<duz2){cif2 = br2 % 10;drugi[m] = cif2; m++;br2 = br2 / 10;}
         
    }

     for(int i=duzina-1; i>=0; i--)
     {
          if(prvi[i]>drugi[i]){cout<<prvi[i];}
          if(drugi[i]>prvi[i]){cout<<drugi[i];}
          if(prvi[i]==drugi[i]){cout<<prvi[i]<<drugi[i];}
     }
    return 0;
}